@keyframes rotate2 {
    0% {
        transform: rotateZ(0)); }
    100% {
        transform: rotateZ(360deg); }
}

body {
    background: url("../img/espace.jpg") no-repeat;
    background-size: cover;
    min-height: 100vh;
    padding: 0rem;
    margin: 0rem;
}

input{
    margin-bottom: 1rem;
    border-radius: 0.5rem;
}

.space{
    text-align: center;
    width: 100%;
}

.space2{
    text-align: center;
    width: 100%;
}

#messageZone{
    overflow: hidden;
    text-align: center;
    box-shadow: 2px 2px 5px white;
    border-radius: 0.5rem;
    border:solid 2px black;
    background-color: lightblue;
    height: 30vh;
    max-height: 15vh;
    width: 80%;
    max-width: 80%;
    display: inline-block;
}

.etoile{
    animation: rotate2 1s linear infinite;
    display: block;
    margin: 15% auto;
    max-width: 80%;
    max-height: 70%;
}

.game{
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.vaiseau{
    display: block;
    margin: 15% auto;
    max-width: 80%;
    max-height: 70%;
    height: 2.5rem;
}

.explosion{
    animation: rotate2 1s linear infinite;
    display: block;
    margin: 15% auto;
    max-width: 80%;
    max-height: 70%;
}

.ligne{
    padding: 0.3rem;
    height: 4rem;
    width: 25rem;
    max-width: 100%;
}

.joueur{
    padding: 0.3rem;
    height: 4rem;
    width: 25rem;
    max-width: 100%;
}

.case{
    box-shadow: 2px 2px 5px white;
    border-radius: 2rem;
    border:solid 2px black;
}
.envoyer.case.col.btn.btn-secondary{
    margin-left: 0rem;
    margin-top: 0rem;
}

.log{
    box-shadow: 2px 2px 5px white;
    border-radius: 2rem;
    border:solid 2px black;
}

#gameOverMessage{
    color: white;
}

.btn{
    width: 7rem;
    background-color: transparent;
    margin-left: 0.5rem;
    margin-top: 0.5rem;
}

#messageInput{
    width: 20rem;
}

.row.col{
    padding-right: 0rem;
    padding-left: 0rem;
    margin-left: 0rem;
    margin-right: 0rem;
}

.row.space.boutton{
    margin-right: 0rem;
    margin-left: 0rem;
}
